> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets the currently authenticated user's profile.

> Resolves the caller from their JWT claims (user id, organization id, client id) and returns
their profile.



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-embedded-banking.json get /identity/v1/users/me
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2025-06-23'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Applications
  - name: Bank Account Access
  - name: Bank Accounts
  - name: Beneficial Owners
  - name: Disclosures
  - name: Embedded Banking
  - name: External Bank Accounts
  - name: Identity
  - name: MoneyMovements
  - name: Organization
paths:
  /identity/v1/users/me:
    get:
      tags:
        - Identity
      summary: Gets the currently authenticated user's profile.
      description: >-
        Resolves the caller from their JWT claims (user id, organization id,
        client id) and returns

        their profile.
      operationId: GetMe
      parameters: []
      responses:
        '200':
          description: Returns the authenticated user's profile.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MeResponseDto'
            application/json:
              schema:
                $ref: '#/components/schemas/MeResponseDto'
            text/json:
              schema:
                $ref: '#/components/schemas/MeResponseDto'
        '401':
          description: Unauthorized - no valid JWT token provided.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden - token is missing required claims.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: Not found - no profile matches the caller's claims.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '500':
          description: Internal server error.
      security:
        - HTTPBearer: []
components:
  schemas:
    MeResponseDto:
      required:
        - email
        - id
        - name
        - organizationId
        - permissions
        - role
        - status
      type: object
      properties:
        id:
          type: string
          format: uuid
        address:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/MeAddressDto'
        email:
          type: string
        jobTitle:
          type:
            - 'null'
            - string
        lastLoggedInDateTime:
          type:
            - 'null'
            - string
          format: date-time
        name:
          type: string
        organizationId:
          type: string
          format: uuid
        permissions:
          type: array
          items:
            type: string
        phoneNumber:
          type:
            - 'null'
            - string
        role:
          type: string
        status:
          $ref: '#/components/schemas/UserStatus'
      description: Profile information for the currently authenticated user.
    ProblemDetails:
      type: object
      properties:
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        title:
          type:
            - 'null'
            - string
        type:
          type:
            - 'null'
            - string
    MeAddressDto:
      type: object
      properties:
        address1:
          type:
            - 'null'
            - string
        address2:
          type:
            - 'null'
            - string
        city:
          type:
            - 'null'
            - string
        countryCode:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CountryCode'
        postalCode:
          type:
            - 'null'
            - string
        state:
          type:
            - 'null'
            - string
    UserStatus:
      enum:
        - ACTIVE
        - INACTIVE
        - INVITED
      type: string
    CountryCode:
      enum:
        - AFG
        - ALB
        - DZA
        - ASM
        - ALA
        - AND
        - AGO
        - AIA
        - ATA
        - ATG
        - ARG
        - ARM
        - ABW
        - AUS
        - AUT
        - AZE
        - BHS
        - BHR
        - BGD
        - BRB
        - BLR
        - BEL
        - BLZ
        - BEN
        - BES
        - BMU
        - BTN
        - BOL
        - BIH
        - BWA
        - BVT
        - BRA
        - IOT
        - BRN
        - BGR
        - BFA
        - BDI
        - CPV
        - KHM
        - CMR
        - CAN
        - CYM
        - CAF
        - TCD
        - CHL
        - CHN
        - CXR
        - CCK
        - COL
        - COM
        - COD
        - COG
        - CIV
        - COK
        - CRI
        - HRV
        - CUB
        - CUW
        - CYP
        - CZE
        - DNK
        - DJI
        - DMA
        - DOM
        - ECU
        - EGY
        - SLV
        - GNQ
        - ERI
        - EST
        - SWZ
        - ETH
        - FLK
        - FRO
        - FJI
        - FIN
        - FRA
        - GUF
        - PYF
        - ATF
        - GAB
        - GMB
        - GEO
        - DEU
        - GHA
        - GIB
        - GRC
        - GRL
        - GRD
        - GLP
        - GUM
        - GTM
        - GGY
        - GIN
        - GNB
        - GUY
        - HTI
        - HMD
        - HND
        - HKG
        - HUN
        - ISL
        - IND
        - IDN
        - IRL
        - IRN
        - IRQ
        - IMN
        - ISR
        - ITA
        - JAM
        - JPN
        - JEY
        - JOR
        - KAZ
        - KEN
        - KIR
        - KOR
        - KWT
        - KGZ
        - LAO
        - LVA
        - LBN
        - LSO
        - LBR
        - LBY
        - LIE
        - LTU
        - LUX
        - MDG
        - MWI
        - MYS
        - MDV
        - MLI
        - MLT
        - MHL
        - MTQ
        - MRT
        - MUS
        - MYT
        - MEX
        - FSM
        - MDA
        - MCO
        - MNG
        - MNE
        - MSR
        - MAR
        - MOZ
        - MMR
        - NAM
        - NRU
        - NPL
        - NLD
        - NCL
        - NZL
        - NIC
        - NER
        - NGA
        - NIU
        - NFK
        - MAC
        - MKD
        - MNP
        - NOR
        - OMN
        - PAK
        - PLW
        - PSE
        - PAN
        - PNG
        - PRY
        - PER
        - PHL
        - PCN
        - POL
        - PRT
        - PRI
        - PRK
        - QAT
        - REU
        - ROU
        - RUS
        - RWA
        - BLM
        - SHN
        - KNA
        - LCA
        - MAF
        - SPM
        - VCT
        - WSM
        - SMR
        - STP
        - SAU
        - SEN
        - SRB
        - SYC
        - SLE
        - SGP
        - SXM
        - SVK
        - SVN
        - SLB
        - SOM
        - ZAF
        - SGS
        - SSD
        - ESP
        - LKA
        - SDN
        - SUR
        - SJM
        - SWE
        - SYR
        - CHE
        - TCA
        - TWN
        - TJK
        - TZA
        - THA
        - TLS
        - TGO
        - TKL
        - TON
        - TTO
        - TUN
        - TUR
        - TKM
        - TUV
        - UGA
        - UKR
        - UMI
        - ARE
        - GBR
        - USA
        - URY
        - UZB
        - VUT
        - VAT
        - VEN
        - VIR
        - VGB
        - VNM
        - WLF
        - ESH
        - YEM
        - ZMB
        - ZWE
      type: string
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````